﻿using System.Text.Json;

namespace Falcon.SugarApi.JsonSerialize
{
    /// <summary>
    /// 完成JSON序列化
    /// </summary>
    public class JsonSerialize : IJsonSerialize
    {
        /// <summary>
        /// 反序列化json字符串
        /// </summary>
        /// <typeparam name="T">对象类型</typeparam>
        /// <param name="str">json字符串</param>
        /// <returns>json对象</returns>
        public T? Deserialize<T>(string str) where T : class => JsonSerializer.Deserialize<T>(str);

        /// <summary>
        /// 序列化json对象
        /// </summary>
        /// <typeparam name="T">对象类型</typeparam>
        /// <param name="obj">json对象</param>
        /// <returns>json字符串</returns>
        public string Serialize<T>(T obj) => JsonSerializer.Serialize(obj);

    }
}
